
config:
  target: "https://healthapi.regumapps.com"
  phases:
    - duration: 60   # أول دقيقة
      arrivalRate: 5   # 5 طلبات/ثانية (≈ 50 مستخدم)
    - duration: 60
      arrivalRate: 10  # 10 طلبات/ثانية (≈ 100 مستخدم)
    - duration: 60
      arrivalRate: 20  # 20 طلب/ثانية (≈ 200 مستخدم)
    - duration: 60
      arrivalRate: 50  # 50 طلب/ثانية (≈ 500 مستخدم)
    - duration: 60
      arrivalRate: 100 # 100 طلب/ثانية (≈ 1000 مستخدم)
scenarios:
  - flow:
      - post:
          url: "/api/users/add"
          formData:
            email: "test{{ $randomString(5) }}@mail.com"
            fullname: "User Upload"
            phone: "011{{ $randomNumber(10000000, 99999999) }}"
            gender: "male"
            ssid: "{{ $randomNumber(10000000000000, 99999999999999) }}"
            isDoctor: "false"
            addedBy: "regum apps"
            addedById: "68cd47dc97e1ee9ca0d6d93b"
            picture: "@dummy.webp"

